local t = Def.ActorFrame{
	Def.Banner {
		Name="Banner";
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-20.5;diffusealpha,0;zoomtoheight,0;zoomtowidth,98*8;sleep,0.6;linear,0.1;zoomtoheight,2;diffusealpha,0.9;accelerate,0.1;zoomtowidth,98;accelerate,0.05;zoomtoheight,28;);
		SetCommand=function(self)
			local song = GAMESTATE:GetCurrentSong();
			if not song then
				self:Load( THEME:GetPathG("common fallback","banner") );
			else
				self:LoadFromSong(song);
			end;
			self:ScaleToClipped(98,28);
		end;
		InitCommand=cmd(queuecommand,"Set");
		CurrentSongChangedMessageCommand=cmd(playcommand,"Set");
	};
};

return t;